
@article{Audoly-Lestringant-An-energy-approach-to-asymptotic-2023,
	author = {Audoly, B. and Lestringant, C.},
	journal = {Journal of Theoretical, Computational and Applied Mechanics},
	title = {An energy approach to asymptotic, higher-order, linear homogenization},
	year = {2023}}


@misc{shoalLibPermanent,
   year = {2023},
   title = {The shoal library},
   howpublished={\url{https://archive.softwareheritage.org/browse/origin/https://git.renater.fr/anonscm/git/shoal/shoal.git}}
}
                 
@article{Berdichevskii-On-the-energy-of-an-elastic-rod-1981,
	author = {Berdichevskii, V. L.},
	journal = {Journal of Applied Mathematics and Mechanics},
	month = {jan},
	number = {4},
	pages = {518--529},
	title = {On the energy of an elastic rod},
	volume = {45},
	year = {1981}}

            
@book{Hodges-Nonlinear-composite-beam-2006,
	author = {Hodges, D. H.},
	publisher = {American Institute of Aeronautics and Astronautics},
	series = {Progress in astronautics and aeronautics},
	title = {Nonlinear composite beam theory},
	volume = {213},
	year = {2006}}

            
@misc{Mathematica,
  author = {{Wolfram Research, Inc.}},
  year = {2021},
  title = {Mathematica, {V}ersion 13.0.0},
  url = {https://www.wolfram.com/mathematica},
  note = {Champaign, IL, 2021}
}

@book{Hoeven-The-jolly-writer.-Your-2020,
	author = {van der Hoeven, J.},
	publisher = {Scypress},
	title = {The jolly writer. {Your} guide to {GNU} {TeXmacs}},
	year = {2020}}

@article{Hoeven-Grozin-EtAl-GNU-TEXmacs:-a-scientific-editing-2013,
	Author = {van der Hoeven, J. and Grozin, A. and Gubinelli, M. and Lecerf, G. and Poulain, F. and Raux, D.},
	Journal = {ACM Communications in Computer Algebra},
	Number = {1--2},
	Pages = {59--61},
	Title = {{GNU TEXmacs}: a scientific editing platform},
	Volume = {47},
	Year = {2013}}

@article{Audoly-Lestringant-Asymptotic-derivation-of-high-order-2021,
	author = {Audoly, B. and Lestringant, C.},
	journal = {Journal of the Mechanics and Physics of Solids},
	pages = {104264},
	title = {Asymptotic derivation of high-order rod models from non-linear {3D} elasticity},
	volume = {148},
	year = {2021}}

@article{LESTRINGANT2020103730,
	title = {Asymptotically exact strain-gradient models for nonlinear slender elastic structures: A systematic derivation method},
	journal = {Journal of the Mechanics and Physics of Solids},
	volume = {136},
	pages = {103730},
	year = {2020},
	author = {Lestringant, C. and Audoly, B.}
}

@article{abali2021additive,
  title={Additive manufacturing introduced substructure and computational determination of metamaterials parameters by means of the asymptotic homogenization},
  author={Abali, Bilen Emek and Barchiesi, Emilio},
  journal={Continuum Mechanics and Thermodynamics},
  volume={33},
  number={4},
  pages={993--1009},
  year={2021},
  publisher={Springer}
}

@article{metrikine2002one,
	title={One-dimensional dynamically consistent gradient elasticity models derived from a discrete microstructure: Part 1: Generic formulation},
	author={Metrikine, Andrei V and Askes, Harm},
	journal={European Journal of Mechanics-A/Solids},
	volume={21},
	number={4},
	pages={555--572},
	year={2002},
	publisher={Elsevier}
}

@article{metrikine2006isotropic,
	title={An isotropic dynamically consistent gradient elasticity model derived from a 2D lattice},
	author={Metrikine, AV and Askes, H},
	journal={Philosophical Magazine},
	volume={86},
	number={21-22},
	pages={3259--3286},
	year={2006},
	publisher={Taylor \& Francis}
}

@book{cioranescu2012homogenization,
	title={Homogenization of reticulated structures},
	author={Cioranescu, Doina and Paulin, Jeannine Saint Jean},
	volume={136},
	year={2012},
	publisher={Springer Science \& Business Media}
}

@book{cioranescu1999introduction,
  title={An introduction to homogenization},
  author={Cioranescu, Doina and Donato, Patrizia},
  volume={17},
  year={1999},
  publisher={Oxford university press Oxford}
}

@article{durand2022predictive,
  title={Predictive strain-gradient homogenization of a pantographic material with compliant junctions},
  author={Durand, Baptiste and Leb{\'e}e, Arthur and Seppecher, Pierre and Sab, Karam},
  journal={Journal of the Mechanics and Physics of Solids},
  pages={104773},
  year={2022},
  publisher={Elsevier}
}

@article{bavzant1972analogy,
	title={Analogy between micropolar continuum and grid frameworks under initial stress},
	author={Ba{\v{z}}ant, ZP and Christensen, M},
	journal={International Journal of Solids and Structures},
	volume={8},
	number={3},
	pages={327--346},
	year={1972},
	publisher={Elsevier}
}

@article{kumar2004generalized,
	title={Generalized continuum modeling of 2-D periodic cellular solids},
	author={Kumar, Rajesh S and McDowell, David L},
	journal={International Journal of solids and structures},
	volume={41},
	number={26},
	pages={7399--7422},
	year={2004},
	publisher={Elsevier}
}

@article{dos2012construction,
	title={Construction of micropolar continua from the asymptotic homogenization of beam lattices},
	author={Dos Reis, F and Ganghoffer, JF},
	journal={Computers \& Structures},
	volume={112},
	pages={354--363},
	year={2012},
	publisher={Elsevier}
}

@article{nassar2020microtwist,
	title={Microtwist elasticity: A continuum approach to zero modes and topological polarization in Kagome lattices},
	author={Nassar, Hussein and Chen, Hui and Huang, Guoliang},
	journal={Journal of the Mechanics and Physics of Solids},
	volume={144},
	pages={104107},
	year={2020},
	publisher={Elsevier}
}

@article{rosi2016anisotropic,
	title={Anisotropic and dispersive wave propagation within strain-gradient framework},
	author={Rosi, Giuseppe and Auffray, Nicolas},
	journal={Wave Motion},
	volume={63},
	pages={120--134},
	year={2016},
	publisher={Elsevier}
}

@article{rosi2019continuum,
	title={Continuum modelling of frequency dependent acoustic beam focussing and steering in hexagonal lattices},
	author={Rosi, Giuseppe and Auffray, Nicolas},
	journal={European Journal of Mechanics-A/Solids},
	volume={77},
	pages={103803},
	year={2019},
	publisher={Elsevier}
}

@article{david2012homogenized,
  title={Homogenized interface model describing inhomogeneities located on a surface},
  author={David, Martin and Marigo, J-J and Pideri, C},
  journal={Journal of Elasticity},
  volume={109},
  pages={153--187},
  year={2012},
  publisher={Springer}
}

@article{abdoul2018strain,
  title={Strain gradient and generalized continua obtained by homogenizing frame lattices},
  author={Abdoul-Anziz, Houssam and Seppecher, Pierre},
  journal={Mathematics and mechanics of complex systems},
  volume={6},
  number={3},
  pages={213--250},
  year={2018},
  publisher={Mathematical Sciences Publishers}
}

@article{abdoul2018homogenization,
  title={Homogenization of periodic graph-based elastic structures},
  author={Abdoul-Anziz, Houssam and Seppecher, Pierre},
  journal={Journal de l’{\'E}cole polytechnique—Math{\'e}matiques},
  volume={5},
  pages={259--288},
  year={2018}
}

@article{abdoul2019homogenization,
  title={Homogenization of frame lattices leading to second gradient models coupling classical strain and strain-gradient terms},
  author={Abdoul-Anziz, Houssam and Seppecher, Pierre and Bellis, C{\'e}dric},
  journal={Mathematics and Mechanics of Solids},
  volume={24},
  number={12},
  pages={3976--3999},
  year={2019},
  publisher={SAGE Publications Sage UK: London, England}
}

@article{boutin1996microstructural,
  title={Microstructural effects in elastic composites},
  author={Boutin, Claude},
  journal={International Journal of Solids and Structures},
  volume={33},
  number={7},
  pages={1023--1051},
  year={1996},
  publisher={Elsevier}
}

@article{smyshlyaev2000rigorous,
  title={On rigorous derivation of strain gradient effects in the overall behaviour of periodic heterogeneous media},
  author={Smyshlyaev, Valery P and Cherednichenko, Kirill D},
  journal={Journal of the Mechanics and Physics of Solids},
  volume={48},
  number={6-7},
  pages={1325--1357},
  year={2000},
  publisher={Elsevier}
}

@article{hans2008dynamics,
  title={Dynamics of discrete framed structures: a unified homogenized description},
  author={Hans, Stephane and Boutin, Claude},
  journal={Journal of Mechanics of Materials and Structures},
  volume={3},
  number={9},
  pages={1709--1739},
  year={2008},
  publisher={Mathematical Sciences Publishers}
}

@article{davini2011homogenized,
  title={A homogenized model for honeycomb cellular materials},
  author={Davini, Cesare and Ongaro, Federica},
  journal={Journal of Elasticity},
  volume={104},
  number={1},
  pages={205--226},
  year={2011},
  publisher={Springer}
}

@article{sanchez1980non,
  title={Non-homogeneous media and vibration theory},
  author={Sanchez-Palencia, Enrique},
  journal={Lecture Note in Physics, Springer-Verlag},
  volume={320},
  pages={57--65},
  year={1980}
}

@book{bakhvalov1989homogenisation,
  title={Homogenisation: averaging processes in periodic media: mathematical problems in the mechanics of composite materials},
  author={Bachvalov, Nikolaj S and Panasenko, Grigori{\u\i} Petrovich},
  year={1989},
  publisher={Kluwer Academic Publishers}
}

@article{bacigalupo2014second,
  title={Second-order homogenization of periodic materials based on asymptotic approximation of the strain energy: formulation and validity limits},
  author={Bacigalupo, Andrea},
  journal={Meccanica},
  volume={49},
  number={6},
  pages={1407--1425},
  year={2014},
  publisher={Springer}
}

@article{combescure2022selecting,
  title={Selecting generalized continuum theories for nonlinear periodic solids based on the instabilities of the underlying microstructure},
  author={Combescure, Christelle},
  journal={Journal of Elasticity},
  pages={1--21},
  year={2022},
  publisher={Springer}
}

@article{davini2013homogenization,
  title={Homogenization of linearly elastic honeycombs},
  author={Davini, Cesare},
  journal={Mathematics and Mechanics of Solids},
  volume={18},
  number={1},
  pages={3--23},
  year={2013},
  publisher={Sage Publications Sage UK: London, England}
}

@article{boutin2011generalized,
  title={Generalized inner bending continua for linear fiber reinforced materials},
  author={Boutin, Claude and Soubestre, Jean},
  journal={International Journal of Solids and Structures},
  volume={48},
  number={3-4},
  pages={517--534},
  year={2011},
  publisher={Elsevier}
}

@article{gambin1989higher,
  title={Higher-order terms in the homogenized stress-strain relation of periodic elastic media},
  author={Gambin, B and Kr{\"o}ner, E},
  journal={physica status solidi (b)},
  volume={151},
  number={2},
  pages={513--519},
  year={1989},
  publisher={Wiley Online Library}
}

@article{le2018second,
  title={Second order homogenization of quasi-periodic structures},
  author={Le, Duc Trung and Marigo, Jean-Jacques},
  journal={Vietnam Journal of Mechanics},
  volume={40},
  number={4},
  pages={325--348},
  year={2018}
}

@incollection{Boutin-Homogenization-Methods-and-Generalized-2019,
  address = {Berlin, Heidelberg},
  author = {Boutin, Claude},
  booktitle = {Encyclopedia of Continuum Mechanics},
  editor = {Altenbach, H. and {\"O}chsner, A.},
  publisher = {Springer},
  title = {Homogenization Methods and Generalized Continua in Linear Elasticity},
  year = {2019}}

